<?php
$this->PageTitle = 'Controle de Documentos &raquo; Novo &raquo; Adendo: <small class="color-blue"> '.$cliente.'</small>';
?>
<?php if ($model->COT_ALTERAR_VENCIMENTO == true) { ?>
    <div class="alert alert-error" style="color: red;">
        <?php echo '&nbsp;&nbsp;Haverá alteração na data de vencimento'; ?>
    </div>
<?php } ?>
<div class="form">
    <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'id' => 'contratos-form',
            'enableAjaxValidation' => false,
            'focus' => array($model, 'COT_IDCLIENTE'),
            'htmlOptions' => array('class'=>'col-xs-12 form-cadastro inline-addon')
        ));
    ?>
        <?php
            $this->widget('application.extensions.emultiselect.EMultiSelect');
            $this->widget('application.extensions.moneymask.MMask', array('element' => '#Contratos_COT_VLRMENSAL, #Contratos_COT_VLRIMPLANTACAO'));

            $model->COT_VLRMENSAL = ($model->COT_VLRMENSAL == '') ? 0 : $model->COT_VLRMENSAL;
            $COT_VLRMENSAL = Util::convertdecimal($model->COT_VLRMENSAL);

            $model->COT_VLRIMPLANTACAO = ($model->COT_VLRIMPLANTACAO == '') ? 0 : $model->COT_VLRIMPLANTACAO;
            $COT_VLRIMPLANTACAO = Util::convertdecimal($model->COT_VLRIMPLANTACAO);

            echo FaHtml::getFormInfo($form, $model);

            if ($model->isNewRecord) {
                echo $form->hiddenField($model, 'COT_IDCLIENTE', array('type' => "hidden", 'value' => $cliente->CLI_IDCLIENTE));
                echo $form->hiddenField($model, 'COT_SITUACAO', array('type' => "hidden", 'value' => (isset($_GET['COT_SITUACAO']) ? $_GET['COT_SITUACAO'] : '')));
                echo $form->hiddenField($model, 'COT_STATUS', array('type' => "hidden", 'value' => '1'));
            } else {
                echo $form->labelEx($model, 'COT_STATUS');
                echo $model->Status;
            }
        ?>

        <?php if (User::canListUsers()) { ?>
            <div class="row">
                <?php echo $form->labelEx($model, 'COT_IDVENDEDOR'); ?>
                <?php echo $form->dropDownList($model, 'COT_IDVENDEDOR', User::getFuncionariosComercial(), array('prompt' => 'Selecione')); ?>
                <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="Vendedor">
                <?php echo $form->error($model, 'COT_IDVENDEDOR'); ?>
            </div><!-- row -->
        <?php } else { ?>
            <?php echo $form->hiddenField($model, 'COT_IDVENDEDOR', array('type' => "hidden", 'value' => User::getId())); ?>
        <?php } ?>
        <?php if ($model->COT_SIMPLES_CAMPO == true) { ?>
            <div class="row form-gsroup input-group- select-group-">
                <?php echo $form->labelEx($model, 'COT_SIMPLES'); ?>
                <?php echo $form->dropDownList($model, 'COT_SIMPLES', array('1' => 'Sim', '0' => 'Não'), array('prompt' => 'Selecione', 'class' => 'form-control btn-on-right-')); ?>
                <?php //echo FaHtml::btnModal(); ?>
                <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Optante do Simples:</b></p>
                     <p>Verifique no site da Receita Federal se o cliente é ou não optante pelo simples e selecione SIM ou NÃO.</p>
                     <p>Se esta informação estiver errada o documento será reprovado.
                     <p>Cuidado, o cliente muitas vezes se engana com esta resposta, por isto é importante verificar sempre no site.</p>
                     <p>Link para consultar: http://www8.receita.fazenda.gov.br/SIMPLESNACIONAL/aplicacoes.aspx?id=21</p>">
                     <div id="optante_simples" class="color-blue"></div>
                <?php echo $form->error($model, 'COT_SIMPLES'); ?>
            </div><!-- row -->
        <?php } ?>
        <div class="row">
            <?php echo $form->labelEx($model,'COT_IDSERVICO'); ?>
            <?php echo $form->dropDownList($model, 'COT_IDSERVICO', GxHtml::listDataEx(Servicos::model()->findAll('SER_TIPODOCUMENTO='.Contratos::ADENDO.' order by SER_DESCRICAO')), array('prompt' => 'Selecione')); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title='<p>Campo <b>Tipo de serviço:</b></p>
                <p>- Acréscimo de Produto: Quando a necessidade é acrescentar módulos complementares e/ou trocar de um produto "menor" para um produto mais completo. Geralmente este acréscimo vem acompanhado de um acréscimo de valor;</p>
                <p>- Acréscimo de Usuários: Quando o cliente deseja aumentar a quantidade de usuários simultâneos. Geralmente há aumento de valor também;</p>
                <p>- Acréscimo de Valor: Quando sem aumentar módulos/produtos/usuários o valor mensal será aumentado. Isso ocorre geralmente quando um cliente antigo vai começar a utilizar um processo novo (ex. NFC-e) que não existia quando ele contratou o sistema mas o módulo já está contemplado em sua configuração atual pois não foi colocado como complementar na tabela de preços.</p>
                <p>- Redução de Produto: Quando a necessidade é reduzir módulos complementares ou trocar de um produto "mais completo" para um produto mais simples. Geralmente para reduzir custos. Geralmente há redução de valor;</p>
                <p>- Redução de Usuários: Quando o cliente deseja reduzir a quantidade de usuários simultâneos. Geralmente há redução de valor também;</p>
                <p>- Redução de Valor: Quando sem retirar módulos/produtos/usuários o valor mensal será reduzido. Isso ocorre geralmente quando um cliente está com dificuldades financeiras ou está por trocar de sistema por um mais barato e paga um bom valor mensal. A Diretoria abre exceções para não perder o cliente.</p>'>
            <?php echo $form->error($model,'COT_IDSERVICO'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'COT_IDPRODUTO'); ?>
            <?php echo $form->dropDownList($model, 'COT_IDPRODUTO', GxHtml::listDataEx(Modulos::model()->findAll('MOD_SITUACAO="A" and MOD_TIPO = 2 and MOD_COMPLEMENTO = "N" order by MOD_DESCRICAO')), array('prompt' => 'Selecione')); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Produto:</b></p>
                 <p>Selecione o produto que o cliente está adquirindo, a lista de produtos é igual a que consta na tabela de preços.</p>">
            <?php echo $form->error($model, 'COT_IDPRODUTO'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'Produtos complementares'); ?>
            <?php
            if (!isset($_POST['produtos']) || !is_array($_POST['produtos'])) {
                $data = ContratosItens::model()->findAll('CTI_IDCONTRATO=:CotId', array(':CotId' => $model->COT_IDCONTRATO));
                $data = CHtml::listData($data, 'CTI_IDPRODUTO', 'CTI_IDPRODUTO');
            } else {
                $data = $_POST['produtos'];
            }

            echo CHtml::dropDownList('produtos[]', $data, GxHtml::encodeEx(GxHtml::listDataEx(MODULOS::model()->findAll('MOD_SITUACAO="A" and MOD_COMPLEMENTO = "S" order by MOD_DESCRICAO')), false, true), array('multiple' => 'multiple', 'key' => 'produtos', 'class' => 'multiselect', 'size' => '7'));
            ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Produtos Complementares:</b></p>
                 <p>Selecione se há algum complemento a agregar no contrato (algum módulo complementar da tabela de preços).</p>
                 <p>Para selecionar arraste o complemento até o campo da esquerda ou clique no sinal de '+' que está ao lado do nome do módulo.</p>
                 <p>Lembrando que o complemento 10 - Orçamentos e Pedidos só é vendido para complementar os produtos 2 ou 3 pois nos demais produtos ele já está incluso.</p>" style="margin-left: 3px; margin-top: 10px;">
        </div>
        <div class="row">
            <?php echo $form->labelEx($model, 'IdsDocumentosFiscais', array('required' => true)); ?>
            <?php
            $modulos = $model->produtos;
            if(!empty($model->COT_IDPRODUTO)) {
                $modulos[] = $model->COT_IDPRODUTO;
            }
            $data = ModulosDocumentosFiscais::model()->findByModulos($modulos);

            echo $form->dropDownList($model, 'IdsDocumentosFiscais', $data, array('multiple' => 'multiple', 'class' => 'multiselect','size' => '7')); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Documentos fiscais:</b></p><p>Selecione os documentos fiscais que o cliente irá utilizar.</p>" style="margin-left: 3px; margin-top: 10px;">
            <?php echo $form->error($model, 'IdsDocumentosFiscais'); ?>
        </div><!-- row -->
        <div class="row">
            <?php echo $form->labelEx($model, 'COT_NROUSUARIOS'); ?>
            <?php echo $form->textField($model, 'COT_NROUSUARIOS', array('maxlength' => 2)); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Número de Usuários:</b></p><p>Insira em formato numeral (exemplo: 2) a quantidade de usuários simultâneos que o cliente usará.</p>">
            <?php echo $form->error($model, 'COT_NROUSUARIOS'); ?>
        </div><!-- row -->
        <div class="row usuarios-mobile">
            <?php echo $form->labelEx($model, 'COT_USUARIOS_MOBILE', ['required' => true]); ?>
            <?php echo $form->textField($model, 'COT_USUARIOS_MOBILE', array('onKeyPress' => '', 'maxlength' => 2)); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Usuários Módulo Movile:</b></p><p>Insira em formato numeral (exemplo: 2) a quantidade de usuários que o cliente usará no módulo mobile.</p>">
            <?php echo $form->error($model, 'COT_USUARIOS_MOBILE'); ?>
        </div><!-- row -->
        <fieldset class="half radius box-shadow">
            <div class="row">
                <?php echo $form->labelEx($model, 'COT_VLRMENSAL'); ?>
                R$ <?php echo $form->textField($model, 'COT_VLRMENSAL', array('value' => Util::formatMoeda((int)$COT_VLRMENSAL), 'maxlength' => 12, 'style' => 'width:100px')); ?>
                <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Valor Mensal:</b></p><p>Insira o valor da mensalidade que o cliente irá pagar pela locação do produto, somente números.</p><p>Exemplo: Inserindo exatamente o número “18000” o sistema entenderá que se trata de R$ 180,00.</p>">
                <div class="row" id="minimotabela"><strong>M&iacute;nimo de tabela: R$<span id="valorminimo">00,00</span></strong></div>
                <?php echo $form->error($model, 'COT_VLRMENSAL'); ?>
            </div><!-- row -->
        </fieldset>
        <fieldset class="half radius box-shadow">
            <div class="row">
                <?php echo $form->labelEx($model, 'COT_COBRADAIMPLANTACAO'); ?>
                <?php echo $form->dropDownList($model, 'COT_COBRADAIMPLANTACAO', array('1' => 'Sim', '0' => 'Não')); ?>
                <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Sem cobrança de implantação:</b></p><p>Neste caso a justificativa da não cobrança é obrigatória!</p>"/>
            </div>
            <div class="row">
                <label for="Contratos_COT_VLRIMPLANTACAO" class="required">Valor de Implantação <span class="required">*</span></label>
                R$ <?php echo $form->textField($model, 'COT_VLRIMPLANTACAO', array('value' => Util::formatMoeda($COT_VLRIMPLANTACAO), 'maxlength' => 12, 'style' => 'width:100px')); ?>
                <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Valor Implantação:</b></p><p>Insira o valor da implantação que o cliente irá pagar pela locação do produto, somente números.</p><p>Exemplo: Inserindo exatamente o número “180000” o sistema entenderá que se trata de R$ 1800,00.</p>">
                <?php echo $form->error($model, 'COT_VLRIMPLANTACAO'); ?>
            </div><!-- row -->
        </fieldset>
        <div class="row">
            <?php echo $form->labelEx($model, 'COT_JUSTIFICATIVA'); ?>
            <?php echo $form->textArea($model, 'COT_JUSTIFICATIVA'); ?>
            <img src="<?php echo FaHtml::getImgUrl('ico-help.png'); ?>" title="<p>Campo <b>Justificativa do Adendo:</b></p>
                 <p>Descreva detalhadamente o motivo pelo qual está fazendo este adendo e porque foi negociado este valor.</p>
                 <p>Se falar em concorrente / cliente / contador, cite o nome, e se souber os valores propostos por concorrentes, cite os valores também.</p>">
            <?php echo $form->error($model, 'COT_JUSTIFICATIVA'); ?>
        </div><!-- row -->

        <?php echo FaHtml::saveButton(); ?>
    <?php $this->endWidget(); ?>
</div><!-- form -->
<script type="text/javascript">
  $(document).ready(function () {
        valorMinimotabela();
        moduloMobile();
        $("#produtos").change(function () {
            valorMinimotabela();
            documentosFiscais();
            moduloMobile();
        });
        $("#Contratos_COT_IDPRODUTO").change(function () {
            valorMinimotabela();
            documentosFiscais();
            moduloMobile();
        });
        $("#Contratos_COT_NROUSUARIOS").keyup(function () {
            valorMinimotabela();
        });
        $("#Contratos_COT_USUARIOS_MOBILE").keyup(function () {
            valorMinimotabela();
        });
        $("#Contratos_COT_VLRMENSAL").keyup(function () {
            valorMinimotabela();
        });
        ContratoSemValorImplantacao();
        $("#Contratos_COT_COBRADAIMPLANTACAO").change(function () {
          ContratoSemValorImplantacao();
        });
        $('#Contratos_COT_NROUSUARIOS').mask('00');
        $('#Contratos_COT_USUARIOS_MOBILE').mask('00');
        if($(document).find("#Contratos_IdsDocumentosFiscais option").length == 0) {
            $(document).find("label[for=Contratos_IdsDocumentosFiscais] span.required").hide();
        } else {
            $(document).find("label[for=Contratos_IdsDocumentosFiscais] span.required").show();
        }
  });

  function paramsSimplesNacional() {
    $('#captcha').val('');
    $.ajax({
        url: createUrl('autocomplete/simplesNacionalParams'),
        type: 'POST',
        dataType: 'json',
        timeout: 10000,
    })
    .done(function(json) {
        if(!json) {
            $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
            return;
        }
        if (json.captchaBase64 != "" && json.cookie != "") {
            $('#captcha_img').prop('src', json.captchaBase64);
            $('#cookie').val(json.cookie);
            $('#viewState').val(json.viewState);
            $('#hiddenField1').val(json.hiddenField1);
            $('#hddServidorCaptcha').val(json.hddServidorCaptcha);
        } else {
            if(json.message != undefined) {
                $('#erro-consulta').html(json.message);
            } else {
                $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
            }
        }
    })
    .fail(function() {
        $('#erro-consulta').html('Erro ao buscar imagem do captcha.');
    });
}
function reloadCaptcha() {
    $('#erro-consulta').html('');
    $('#captcha').val('');
    $('.atualizado').removeClass('atualizado');
    paramsSimplesNacional();
}
$(function() {
    $("#open-modal").click(function() {
        reloadCaptcha();
    });
    $("#consultarCNPJ").click(function() {
        $('#erro-consulta').html('');
        var param = {
            cnpj: $("#cnpj").val(),
            captcha: $("#captcha").val(),
            cookie: $("#cookie").val(),
            viewState: $("#viewState").val(),
            hiddenField1: $("#hiddenField1").val(),
            hddServidorCaptcha: $("#hddServidorCaptcha").val()
        };

        $.ajax({
            url: createUrl('autocomplete/simplesNacional'),
            type: 'POST',
            dataType: 'json',
            timeout: 10000,
            data: param
        })
        .done(function(json) {
            console.log(json);
            if(!json) {
                $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
                return;
            }
            if (json.code === 0 && json.message == undefined) {
                $("#optante_simples").text(json.situacao_simples_nacional);
                var opt = (json.situacao_simples_nacional.indexOf("NÃO optante pelo Simples Nacional") >= 0)  ? 0 : 1;
                $("#Contratos_COT_SIMPLES > option[value="+opt+"]").prop('selected', true);
                $("#Contratos_COT_SIMPLES").parent('div.row').addClass('atualizado');
                $('#captchaModal').modal('hide');
            } else {
                if(json.message != undefined) {
                    $('#erro-consulta').html(json.message);
                } else {
                    $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
                }
                return;
            }
        })
        .fail(function() {
            $('#erro-consulta').html('Erro ao buscar informações no site do simples nacional.');
        });
    });
});
</script>
<!-- Modal simples nacional-->
<div class="modal fade" id="captchaModal" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only hide">Fechar</span></button>
                <h4 class="modal-title" id="myModalLabel">Captcha</h4>
            </div>
            <div class="modal-body">
                <img id="captcha_img" src="" />
                <a href="javascript: reloadCaptcha();"><img src="<?php echo FaHtml::getImgUrl('reload.png'); ?>" /></a><br /><br />
                <input type="text" class="form-control" id="captcha" placeholder="Informe os caracteres da imagem acima" />
                <input type="hidden" id="cookie" name="cookie" value=""/>
                <input type="hidden" id="viewState" name="viewState" value="">
                <input type="hidden" id="hiddenField1" name="hiddenField1" value="">
                <input type="hidden" id="hddServidorCaptcha" name="hddServidorCaptcha" value="">
                <input type="hidden" id="cnpj" name="cnpj" value="<?php echo $cliente->CLI_CNPJCPF; ?>">
                <div id="erro-consulta" class="color-red"></div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                <button type="button" class="btn btn-primary" id="consultarCNPJ" data-loading-text="<i class='fa fa-spinner spin-animate'></i> Consultando..">Consultar</button>
            </div>
        </div>
    </div>
</div>
<style type="text/css">
.inline-addon select.form-control.btn-on-right {
    width: 405px!important;
}
.inline-addon #open-modal {
    width: 60px!important;
}
</style>